Bug 2692 - Mdkapplet don't support "select dependencies automatically" options
: Mdkapplet don't support "select dependencies automatically" options
Status: RESOLVED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: All Linux
: Normal normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-17 18:40 MSD by Vladimir Potapov
Modified: 2013-09-30 13:57 MSD (History)
2 users (show)

See Also:
RPM Package: Mdkapplet
ISO-related:
Bad POT generating:
Upstream:
vladimir.potapov: qa_verified+
alex.burmashev: published+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Vladimir Potapov 2013-09-17 18:40:41 MSD
Mdkapplet don't support rpmdrake's "select dependencies automatically" options
Comment 1 Denis Silakov 2013-09-22 10:45:34 MSD
It turned out that MandrivaUpdate doesn't take 'auto_select' option from rpmdrake config file into account. Let's fix it.

Advisory:
MandrivaUpdate now takes into account 'auto_select' option from rpmdrake config file.

Build lists:
https://abf.rosalinux.ru/build_lists/1261953
https://abf.rosalinux.ru/build_lists/1261952
Comment 2 Vladimir Potapov 2013-09-23 11:48:15 MSD
Hmm. I try update LO (http://abf-downloads.rosalinux.ru/rosa2012.1/container/1255990/i586/main/release/) with new rpmdrake 

Следующие пакеты невозможно выбрать:

- libreoffice-base-4.1.1-3-rosa2012.1.i586 (из-за неудовлетворённости hsqldb1.8.0)
- libreoffice-calc-4.1.1-3-rosa2012.1.i586 (из-за неудовлетворённости liblpsolve55.so)
- libreoffice-common-4.1.1-3-rosa2012.1.i586 (из-за неудовлетворённости libjvmfwk.so)
- libreoffice-core-4.1.1-3-rosa2012.1.i586 (из-за неудовлетворённости libcmis-0.4.so.4)
- libreoffice-draw-4.1.1-3-rosa2012.1.i586
- libreoffice-impress-4.1.1-3-rosa2012.1.i586
- libreoffice-kde4-4.1.1-3-rosa2012.1.i586 (из-за неудовлетворённости libjvmaccess.so)
- libreoffice-l10n-en_GB-4.1.1-3-rosa2012.1.i586 (из-за неудовлетворённости libreoffice-common[== 1:4.1.1-3:2012.1])
- libreoffice-l10n-ru-4.1.1-3-rosa2012.1.i586 (из-за неудовлетворённости libreoffice-common[== 1:4.1.1-3:2012.1])
- libreoffice-math-4.1.1-3-rosa2012.1.i586 (из-за неудовлетворённости libreoffice-core[== 1:4.1.1-3:2012.1])
- libreoffice-style-crystal-4.1.1-3-rosa2012.1.i586 (из-за неудовлетворённости libreoffice-core[== 1:4.1.1-3:2012.1])
- libreoffice-style-oxygen-4.1.1-3-rosa2012.1.i586 (из-за неудовлетворённости libreoffice-core[== 1:4.1.1-3:2012.1])
- libreoffice-writer-4.1.1-3-rosa2012.1.i586 (из-за неудовлетворённости libreoffice-core[== 1:4.1.1-3:2012.1])
Comment 3 Denis Silakov 2013-09-25 12:48:25 MSD
Are you sure that your system is ok? Some of the missing packages are actually located in main/release repository.

Personally, I can successfully use rpmdrake itself and MandrivaUpdaet (the tool invoked by mdkapplet when you click on 'updates available' popup window) to install LibreOffice from that containers...

Maybe try a clean system or re-add all repositories (drop urpmi.cfg and then add repos from scratch)?
Comment 4 Vladimir Potapov 2013-09-25 13:56:46 MSD
I try install new libreoffice http://bugs.rosalinux.ru/show_bug.cgi?id=2684#c28 with the update. Test failed :-(
Comment 5 Denis Silakov 2013-09-25 14:21:24 MSD
If something is broken in your system, then it doesn't make difference which libreoffice you are trying to install:)

I am able to install libreoffice from any container. Are you able to perform updates using old rpmdrake?

Actually it would be really nice to test this on a clear machine.
Comment 6 Vladimir Potapov 2013-09-25 14:56:14 MSD
I set up new FRESH.x64 system, update it and perform the test again. 
The bug present.
Еhe error occurs only when you first install the new office, with second installations linked packages are already installed!
Comment 7 Denis Silakov 2013-09-25 19:01:51 MSD
Here is the updated buildlists.

Advisory:
MandrivaUpdate now takes into account 'auto_select' option from rpmdrake config file.

Build lists:
https://abf.rosalinux.ru/build_lists/1317894
https://abf.rosalinux.ru/build_lists/1317896
Comment 8 Vladimir Potapov 2013-09-27 16:05:33 MSD
rpmdrake-5.26.12-31-rosa2012.1
****************** Advisory ******************
MandrivaUpdate now takes into account 'auto_select' option from rpmdrake config file.
*********************************************
QA Verified